=== debian/changelog ===
peek (1.5.1-1~mx19+2) mx; urgency=medium

  * Correct typo in debian/control file.

 -- SwampRabbit <swamprabbit@mxlinux.org>  Wed, 17 Feb 2021 09:04:57 -0500

peek (1.5.1-1~mx19+1) mx; urgency=medium

  * Initial packaging of upstream release for MX-19.
  * Move gstreamer1.0-plugins-ugly to depends.

 -- SwampRabbit <swamprabbit@mxlinux.org>  Fri, 12 Feb 2021 20:46:52 -0500

peek (1.5.1-1~bpo10+1) buster-backports; urgency=medium

  * Rebuild for buster-backports.

 -- Boyuan Yang <byang@debian.org>  Wed, 26 Feb 2020 15:17:59 -0500

peek (1.5.1-1) unstable; urgency=high

  * New upstream release. 

 -- Boyuan Yang <byang@debian.org>  Thu, 20 Feb 2020 11:59:44 -0500

peek (1.5.0-1~bpo10+1) buster-backports; urgency=medium

  * Rebuild for buster-backports.

 -- Boyuan Yang <byang@debian.org>  Tue, 18 Feb 2020 13:09:46 -0500

peek (1.5.0-1) unstable; urgency=medium

  [ Debian Janitor ]
  * Update standards version to 4.4.1, no changes needed.
  * Set upstream metadata fields: Repository.

  [ Boyuan Yang ]
  * New upstream release 1.5.0.
  * debian/patches: Drop all backported patches.
  * debian/upstream/metadata: Add Repository-Browse.
  * debian/copyright: Refresh information.

 -- Boyuan Yang <byang@debian.org>  Tue, 18 Feb 2020 11:59:45 -0500

peek (1.4.0-2~bpo10+1) buster-backports; urgency=medium

  * Rebuild for buster-backports.

 -- Boyuan Yang <byang@debian.org>  Tue, 01 Oct 2019 14:45:19 -0400

peek (1.4.0-2) unstable; urgency=medium

  * Backport upstream trunk commits till 2019-09-25.
  * debian/patches/0001: Dropped, merged upstream.

 -- Boyuan Yang <byang@debian.org>  Fri, 27 Sep 2019 12:10:10 -0400
