## peek 1.5.1%2Bgit20230114

=== debian/changelog ===
peek (1.5.1+git20230114-1build2) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 18:08:36 +1100

peek (1.5.1+git20230114-1build1) noble; urgency=medium

  * No-change rebuild against libglib2.0-0t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 08 Mar 2024 06:36:50 +0000

peek (1.5.1+git20230114-1) unstable; urgency=medium

  * QA upload.
  * Orphan the package. (See #1030266)
  * New upstream git snapshot declaring project deprecation.
  * debian/control: Bump Standards-Version to 4.6.2.

 -- Boyuan Yang <byang@debian.org>  Wed, 01 Feb 2023 14:34:03 -0500

peek (1.5.1+git20211214-1) unstable; urgency=medium

  * New upstream git snapshot.
  * debian/patches: Drop all patches, merged upstream.
  * debian/control: Bump Standards-Version to 4.6.0.
  * debian/copyright: Update copyright information.

 -- Boyuan Yang <byang@debian.org>  Fri, 31 Dec 2021 13:28:38 -0500

peek (1.5.1-3) unstable; urgency=medium

  [ Debian Janitor ]
  * Remove constraints unnecessary since buster:
    + Build-Depends: Drop versioned constraint on gettext,
      libglib2.0-dev and libgtk-3-dev.

  [ Boyuan Yang ]
  * debian/patches/0002-Add-support-for-gnome40.patch: Support GNOME 40+.
  * debian/patches/0001: Add "Forwarded" tag.

 -- Boyuan Yang <byang@debian.org>  Mon, 06 Dec 2021 14:06:44 -0500

peek (1.5.1-2) unstable; urgency=medium

  * Rebuild after Debian 11 release.
  * Bump debhelper compat to v13.
  * debian/patches/0001: Use python3 command instead of python in
    po/meson.build. Python command is now unavailable.

  [ Debian Janitor ]
  * Trim trailing whitespace.
  * Set upstream metadata fields: Bug-Database, Bug-Submit.
  * Update standards version to 4.5.0, no changes needed.
  * Avoid explicitly specifying -Wl,--as-needed linker flag.

 -- Boyuan Yang <byang@debian.org>  Sun, 05 Sep 2021 12:49:25 -0400
