=== debian/control ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Source: peek
 Section: graphics
 Priority: optional
-Maintainer: Boyuan Yang <byang@debian.org>
+Maintainer: Debian QA Group <packages@qa.debian.org>
 Build-Depends:
  debhelper-compat (= 13),
  desktop-file-utils <!nocheck>,
@@ -15,7 +15,7 @@
  txt2man,
  valac,
 Rules-Requires-Root: no
-Standards-Version: 4.6.0
+Standards-Version: 4.6.2
 Homepage: https://github.com/phw/peek
 Vcs-Git: https://salsa.debian.org/debian/peek.git
 Vcs-Browser: https://salsa.debian.org/debian/peek
